function getColumns() {
	let columns = [
		{
			title: `N°`,
			data: `id`,
			className: 'text-center'
		},
		{
			title: `APELLIDOS Y NOMBRES`,
			data: null,
			render: (data) => {
				let nombresCompletos;
				let nombres = data.trabajador_nombres;
				let apellidos = data.trabajador_apellidos;
				nombresCompletos = `${apellidos} ${nombres}`;

				return nombresCompletos;
			}
		},
		{
			title: "TIPO PLANILLA",
			data: "tipoplanilla_descripcion",
			className: "text-center"
		},
		{
			title: `MONTO MENSUAL`,
			data: `montomensual`,
			className: 'text-center',
			render: (data) => {
				return `<span class="text-primary">${parseFloat(data).toFixed(2)}</span>`
			}
		},
		{
			title: `DESCUENTO<br>(S/.)`,
			data: `descuento`,
			className: 'text-center',
			render: (data) => {
				return `<span class="text-danger">${data}.00</span>`;
			}
		},
		{
			title: "TOTAL",
			data: "total",
			className: 'text-center',
			render: (data) => {
				return `<span class="text-success">${parseFloat(data).toFixed(2)}</span>`
			}
		},
		{
			title: `ACCIONES`,
			data: null,
			className: 'text-center',
			render: (data) => {
				let acciones = "";
				let registrar = "";
				let verdetalle = "";
				verdetalle = `<span data-toggle="tooltip" data-placement="left" title="Ver detalle" style="cursor: pointer"> <i class='verdetalle icon-list text-primary-700'></i>&nbsp;&nbsp; </span>`;
				acciones = verdetalle;
				return acciones;
			}
		}
	];

	return columns;
}
function listarMontosDocentes(objParams = {}){
	ajaxWebService.get(URI_DOCENTES_MONTOS, objParams).then((response) => {
		let columns = getColumns();

		let wrapsNameDatatable = `divDatatable`;
		let classNameForDatatable = `display table table-bordered`;

		makeDatatable(
			wrapsNameDatatable,
			{
				data: response.data,
				columns,
			},
			classNameForDatatable,
			).then((nodes) => {
			nodes.container
				.off()
				.on("click", ".verdetalle", (e) => verDetalle(getDataRow(nodes.datatable, e)))

		});
	});
}


const verDetalle = (data) => {
	localStorage.setItem('data', JSON.stringify(data))
	debugger
	location.href = `${baseURLModals}docentesporhoras/montos/detalleMontosDocentes.jsp`
}

const aplicarFiltro = () => {

}


const listarTipoPlanillas = (nodeIdentifier) => {
	ajaxWebService.get(URI_TIPOPLANILLAS).then((response) => {
		let tipoplanillas = response.data
		let html = ""
		html += tipoplanillas.map(tipoplanilla => `<option value="${tipoplanilla.id}">${tipoplanilla.descripcion}</option>`)
		$(nodeIdentifier).html(html)
	})
}

const formControls = {
	init() {
		this.initTipoPlanillas()
	},
	initTipoPlanillas() {
		listarTipoPlanillas("#cboTipoPlanilla")
	}
}

$(document).ready(function () {
	formControls.init()
	$("#btnMostrarTodo").click(listarMontosDocentes)
	$("#btnAplicarFiltro").click(aplicarFiltro)
})